    PROGRAM nag_beta_dist_ex02

      ! Example Program Text for nag_beta_dist
      ! NAG fl90, Release 4. NAG Copyright 2000.

      ! .. Use Statements ..
      USE nag_examples_io, ONLY : nag_std_out, nag_std_in
      USE nag_beta_dist, ONLY : nag_beta_deviate
      ! .. Implicit None Statement ..
      IMPLICIT NONE
      ! .. Intrinsic Functions ..
      INTRINSIC KIND
      ! .. Parameters ..
      INTEGER, PARAMETER :: wp = KIND(1.0D0)
      ! .. Local Scalars ..
      REAL (wp) :: a, b, dev, p
      ! .. Executable Statements ..
      WRITE (nag_std_out,*) 'Example Program Results for nag_beta_dist_ex02'

      READ (nag_std_in,*)          ! Skip heading in data file

      WRITE (nag_std_out,*)
      WRITE (nag_std_out,*) ' Probability     A         B     Deviate'
      WRITE (nag_std_out,*)

      DO
        READ (nag_std_in,*,end=20) p, a, b

        dev = nag_beta_deviate(p,a,b)

        WRITE (nag_std_out,'(1X,F9.4,2F10.3,F10.4)') p, a, b, dev
      END DO
20    CONTINUE

    END PROGRAM nag_beta_dist_ex02
